Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface ToolTipable

All Superinterfaces:
  Delegateable

All Known Implementing Classes:
  AbleComponent, BalloonHelp, ButtonEx, Calculator, CalculatorField, ColorChooser, ComboBox, ContainerEx, DateChooser, DateField, DefaultTabModel.TabButton, DropDown, EditableLabelEx, ExpandableSection, GroupBox, ImageIcon, ImageMap, LabelEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PopUp, ProgressBar, PushButton, Slider, Strut, TabbedPane, TemplatePanel, TitleBar, Tree

    public interface ToolTipable

extends Delegateable

The `ToolTipable` interface is used to set tool tip text which is displayed when the mouse cursor is hovered over the `ToolTipable`.

Field Summary
`static java.lang.String` | `PROPERTY_TOOL_TIP_TEXT`

Method Summary
`java.lang.String` | `getToolTipText()` Returns the tool tip text (displayed when the mouse cursor is hovered over the ToolTipable).
`void` | `setToolTipText(java.lang.String newValue)` Sets the tool tip text (displayed when the mouse cursor is hovered over the ToolTipable).

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### PROPERTY_TOOL_TIP_TEXT

    static final java.lang.String PROPERTY_TOOL_TIP_TEXT

See Also:
  Constant Field Values

Method Detail

### getToolTipText

    java.lang.String getToolTipText()

  Returns the tool tip text (displayed when the mouse cursor is hovered over the ToolTipable).

  Returns:
    the tool tip text

### setToolTipText

    void setToolTipText(java.lang.String newValue)

  Sets the tool tip text (displayed when the mouse cursor is hovered over the ToolTipable).

  Parameters:
    `newValue` - the new tool tip text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD